---
title: Shield Search
description: Search the BCFI database to check if an entity is blacklisted before onboarding.
---

This API is used to search if any entity is blacklisted or has criminal records in the BCFI database who is trying to get onboarded with us. To complete the search, we will pass certain details like agent name, state, mobile no, pan no or city.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/shield/api/search
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| content-type  required | String | application/json | `application/x-www-form-urlencoded` |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self+ $header.code::$secret_key; sha256(<concate all values+SECRET KEY>); | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| code  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay ( required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| city  optional | text  <br>(3-70) | Name of the city. | `Mumbai` |
| agent_name  optional | text  <br>(3-70) | Name of the agent | `sachin` |
| state  optional | text  <br>(3-70) | Name of the state. | `Kerala` |
| mobile_no  optional | text  <br>(10) | Mobile Number | `'92*******7` |
| pan_no  optional | text  <br>(10) | Pancard Number | `CCVSV1111D` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric<br>(`3`) | airpay status | `400,200` |
| message  required | Text | airpay status message | `success,fail` |
| data  required | Text | Json response { "status": status code, "message": response message, "data":[ {"parameter":"array required data"}] } |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/shield/api/search' \
--header 'code: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'city=Mumbai' \
--data-urlencode 'agent_name=sac'
```

### Success Response

```
{
    "status": "200",
    "message": "success",
    "data": {
        "current_page": 1,
        "data": [
            {
                "merchant_id": 3,
                "agent_name": "Sachin",
                "pan_no": "CCVSV1111D",
                "name_match_score": "67"
            }
        ],
        "from": 1,
        "last_page": 1,
        "per_page": 5,
        "to": 1,
        "total": 1
    },
    "checksum": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```